Harald Hoyer 5f0dd7
From a22ab24d5371cbd73b18b27e98e980e45e39ff5f Mon Sep 17 00:00:00 2001
Harald Hoyer 5f0dd7
From: Harald Hoyer <harald@redhat.com>
Harald Hoyer 5f0dd7
Date: Thu, 12 Mar 2020 11:55:37 +0100
Harald Hoyer 5f0dd7
Subject: [PATCH] test: use dd from /dev/zero, instead of creating files with a
Harald Hoyer 5f0dd7
 hole
Harald Hoyer 5f0dd7
Harald Hoyer 5f0dd7
---
Harald Hoyer 5f0dd7
 test/TEST-01-BASIC/test.sh               |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-02-SYSTEMD/test.sh             |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-03-USR-MOUNT/test.sh           |  4 ++--
Harald Hoyer 5f0dd7
 test/TEST-04-FULL-SYSTEMD/test.sh        |  4 ++--
Harald Hoyer 5f0dd7
 test/TEST-10-RAID/test.sh                |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-11-LVM/test.sh                 |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-12-RAID-DEG/test.sh            | 10 +++++-----
Harald Hoyer 5f0dd7
 test/TEST-13-ENC-RAID-LVM/test.sh        |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-14-IMSM/test.sh                |  8 ++++----
Harald Hoyer 5f0dd7
 test/TEST-15-BTRFSRAID/test.sh           |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-17-LVM-THIN/test.sh            |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-20-NFS/test.sh                 |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-30-ISCSI/test.sh               | 10 +++++-----
Harald Hoyer 5f0dd7
 test/TEST-35-ISCSI-MULTI/test.sh         | 10 +++++-----
Harald Hoyer 5f0dd7
 test/TEST-40-NBD/test.sh                 |  8 ++++----
Harald Hoyer 5f0dd7
 test/TEST-50-MULTINIC/test.sh            |  2 +-
Harald Hoyer 5f0dd7
 test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh |  2 +-
Harald Hoyer 5f0dd7
 17 files changed, 37 insertions(+), 37 deletions(-)
Harald Hoyer 5f0dd7
Harald Hoyer 5f0dd7
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
Harald Hoyer 5f0dd7
index c47098ea..668a35d8 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-01-BASIC/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-01-BASIC/test.sh
Harald Hoyer 5f0dd7
@@ -20,7 +20,7 @@ test_run() {
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/root.ext3
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.ext3 bs=1M seek=80
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.ext3 bs=1M count=80
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-02-SYSTEMD/test.sh b/test/TEST-02-SYSTEMD/test.sh
Harald Hoyer 5f0dd7
index cf1fcaa5..5c0a54de 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-02-SYSTEMD/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-02-SYSTEMD/test.sh
Harald Hoyer 5f0dd7
@@ -16,7 +16,7 @@ test_run() {
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/root.ext3
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.ext3 bs=1M seek=80
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.ext3 bs=1M count=80
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-03-USR-MOUNT/test.sh b/test/TEST-03-USR-MOUNT/test.sh
Harald Hoyer 5f0dd7
index 5de7f4a1..5190f220 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-03-USR-MOUNT/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-03-USR-MOUNT/test.sh
Harald Hoyer 5f0dd7
@@ -41,8 +41,8 @@ test_setup() {
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/root.btrfs
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/usr.btrfs
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.btrfs bs=1M seek=160
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/usr.btrfs bs=1M seek=160
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.btrfs bs=1M count=160
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/usr.btrfs bs=1M count=160
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-04-FULL-SYSTEMD/test.sh b/test/TEST-04-FULL-SYSTEMD/test.sh
Harald Hoyer 5f0dd7
index 3a544d7c..e3b23327 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-04-FULL-SYSTEMD/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-04-FULL-SYSTEMD/test.sh
Harald Hoyer 5f0dd7
@@ -42,8 +42,8 @@ test_setup() {
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/root.btrfs
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/usr.btrfs
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.btrfs bs=1M seek=320
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/usr.btrfs bs=1M seek=320
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.btrfs bs=1M count=320
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/usr.btrfs bs=1M count=320
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     export kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-10-RAID/test.sh b/test/TEST-10-RAID/test.sh
Harald Hoyer 5f0dd7
index 981c1b9d..4203cfdc 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-10-RAID/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-10-RAID/test.sh
Harald Hoyer 5f0dd7
@@ -19,7 +19,7 @@ test_setup() {
Harald Hoyer 5f0dd7
     DISKIMAGE=$TESTDIR/TEST-10-RAID-root.img
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
     rm -f -- $DISKIMAGE
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$DISKIMAGE bs=1M seek=128
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$DISKIMAGE bs=1M count=128
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-11-LVM/test.sh b/test/TEST-11-LVM/test.sh
Harald Hoyer 5f0dd7
index c718ad57..22643758 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-11-LVM/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-11-LVM/test.sh
Harald Hoyer 5f0dd7
@@ -16,7 +16,7 @@ test_run() {
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.ext2 bs=1M seek=80
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.ext2 bs=1M count=80
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-12-RAID-DEG/test.sh b/test/TEST-12-RAID-DEG/test.sh
Harald Hoyer 5f0dd7
index f8dc08d9..09eb28bb 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-12-RAID-DEG/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-12-RAID-DEG/test.sh
Harald Hoyer 5f0dd7
@@ -25,7 +25,7 @@ client_run() {
Harald Hoyer 5f0dd7
         return 1;
Harald Hoyer 5f0dd7
     fi
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/marker.img
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/marker.img bs=1M seek=40
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/marker.img bs=1M count=40
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     echo "CLIENT TEST END: $@ [OK]"
Harald Hoyer 5f0dd7
     return 0
Harald Hoyer 5f0dd7
@@ -56,10 +56,10 @@ test_run() {
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/marker.img
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/marker.img bs=1M seek=40
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/disk1.img bs=1M seek=35
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/disk2.img bs=1M seek=35
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/disk3.img bs=1M seek=35
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/marker.img bs=1M count=40
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/disk1.img bs=1M count=35
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/disk2.img bs=1M count=35
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/disk3.img bs=1M count=35
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-13-ENC-RAID-LVM/test.sh b/test/TEST-13-ENC-RAID-LVM/test.sh
Harald Hoyer 5f0dd7
index 580ade85..16ee8e66 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-13-ENC-RAID-LVM/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-13-ENC-RAID-LVM/test.sh
Harald Hoyer 5f0dd7
@@ -50,7 +50,7 @@ test_run() {
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/root.ext2
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.ext2 bs=1M seek=134
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.ext2 bs=1M count=134
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-14-IMSM/test.sh b/test/TEST-14-IMSM/test.sh
Harald Hoyer 5f0dd7
index 2f153ba3..1f822e4e 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-14-IMSM/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-14-IMSM/test.sh
Harald Hoyer 5f0dd7
@@ -11,7 +11,7 @@ client_run() {
Harald Hoyer 5f0dd7
     echo "CLIENT TEST START: $@"
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/marker.img
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/marker.img bs=1M seek=1
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/marker.img bs=1M count=1
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     $testdir/run-qemu \
Harald Hoyer 5f0dd7
         -drive format=raw,index=0,media=disk,file=$TESTDIR/marker.img \
Harald Hoyer 5f0dd7
@@ -53,9 +53,9 @@ test_setup() {
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/marker.img
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/disk1
Harald Hoyer 5f0dd7
     rm -f -- $TESTDIR/disk2
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/marker.img bs=1M seek=1
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/disk1 bs=1M seek=104
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/disk2 bs=1M seek=104
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/marker.img bs=1M count=1
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/disk1 bs=1M count=104
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/disk2 bs=1M count=104
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-15-BTRFSRAID/test.sh b/test/TEST-15-BTRFSRAID/test.sh
Harald Hoyer 5f0dd7
index 435e52be..227daaba 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-15-BTRFSRAID/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-15-BTRFSRAID/test.sh
Harald Hoyer 5f0dd7
@@ -21,7 +21,7 @@ test_setup() {
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
     DISKIMAGE=$TESTDIR/TEST-15-BTRFSRAID-root.img
Harald Hoyer 5f0dd7
     rm -f -- $DISKIMAGE
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$DISKIMAGE bs=1M seek=1024
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$DISKIMAGE bs=1M count=1024
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-17-LVM-THIN/test.sh b/test/TEST-17-LVM-THIN/test.sh
Harald Hoyer 5f0dd7
index e4755f78..8ab30a45 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-17-LVM-THIN/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-17-LVM-THIN/test.sh
Harald Hoyer 5f0dd7
@@ -16,7 +16,7 @@ test_run() {
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.ext2 bs=1M seek=92
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.ext2 bs=1M count=92
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
diff --git a/test/TEST-20-NFS/test.sh b/test/TEST-20-NFS/test.sh
Harald Hoyer 5f0dd7
index 9d5493c7..53d1d804 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-20-NFS/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-20-NFS/test.sh
Harald Hoyer 5f0dd7
@@ -225,7 +225,7 @@ test_run() {
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     # Make server root
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/server.ext3 bs=1M seek=120
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/server.ext3 bs=1M count=120
Harald Hoyer 5f0dd7
     mke2fs -j -F $TESTDIR/server.ext3
Harald Hoyer 5f0dd7
     mkdir $TESTDIR/mnt
Harald Hoyer 5f0dd7
     mount -o loop $TESTDIR/server.ext3 $TESTDIR/mnt
Harald Hoyer 5f0dd7
diff --git a/test/TEST-30-ISCSI/test.sh b/test/TEST-30-ISCSI/test.sh
Harald Hoyer 5f0dd7
index a8aee221..2f37f5c9 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-30-ISCSI/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-30-ISCSI/test.sh
Harald Hoyer 5f0dd7
@@ -129,9 +129,9 @@ test_setup() {
Harald Hoyer 5f0dd7
     fi
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.ext3 bs=1M seek=45
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/iscsidisk2.img bs=1M seek=45
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/iscsidisk3.img bs=1M seek=45
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.ext3 bs=1M count=45
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/iscsidisk2.img bs=1M count=45
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/iscsidisk3.img bs=1M count=45
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
@@ -182,7 +182,7 @@ test_setup() {
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     # Need this so kvm-qemu will boot (needs non-/dev/zero local disk)
Harald Hoyer 5f0dd7
-    if ! dd if=/dev/null of=$TESTDIR/client.img bs=1M seek=1; then
Harald Hoyer 5f0dd7
+    if ! dd if=/dev/zero of=$TESTDIR/client.img bs=1M count=1; then
Harald Hoyer 5f0dd7
         echo "Unable to make client sdb image" 1>&2
Harald Hoyer 5f0dd7
         return 1
Harald Hoyer 5f0dd7
     fi
Harald Hoyer 5f0dd7
@@ -198,7 +198,7 @@ test_setup() {
Harald Hoyer 5f0dd7
     rm -- $TESTDIR/client.img
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     # Make server root
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/server.ext3 bs=1M seek=60
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/server.ext3 bs=1M count=60
Harald Hoyer 5f0dd7
     mkfs.ext3 -j -F $TESTDIR/server.ext3
Harald Hoyer 5f0dd7
     mkdir $TESTDIR/mnt
Harald Hoyer 5f0dd7
     mount -o loop $TESTDIR/server.ext3 $TESTDIR/mnt
Harald Hoyer 5f0dd7
diff --git a/test/TEST-35-ISCSI-MULTI/test.sh b/test/TEST-35-ISCSI-MULTI/test.sh
Harald Hoyer 5f0dd7
index 740ab918..54700609 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-35-ISCSI-MULTI/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-35-ISCSI-MULTI/test.sh
Harald Hoyer 5f0dd7
@@ -144,9 +144,9 @@ test_setup() {
Harald Hoyer 5f0dd7
     fi
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/root.ext3 bs=1M seek=90
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/iscsidisk2.img bs=1M seek=90
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/iscsidisk3.img bs=1M seek=90
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/root.ext3 bs=1M count=90
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/iscsidisk2.img bs=1M count=90
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/iscsidisk3.img bs=1M count=90
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
@@ -197,7 +197,7 @@ test_setup() {
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     # Need this so kvm-qemu will boot (needs non-/dev/zero local disk)
Harald Hoyer 5f0dd7
-    if ! dd if=/dev/null of=$TESTDIR/client.img bs=1M seek=1; then
Harald Hoyer 5f0dd7
+    if ! dd if=/dev/zero of=$TESTDIR/client.img bs=1M count=1; then
Harald Hoyer 5f0dd7
         echo "Unable to make client sdb image" 1>&2
Harald Hoyer 5f0dd7
         return 1
Harald Hoyer 5f0dd7
     fi
Harald Hoyer 5f0dd7
@@ -213,7 +213,7 @@ test_setup() {
Harald Hoyer 5f0dd7
     rm -- $TESTDIR/client.img
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     # Make server root
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/server.ext3 bs=1M seek=60
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/server.ext3 bs=1M count=60
Harald Hoyer 5f0dd7
     mkfs.ext3 -j -F $TESTDIR/server.ext3
Harald Hoyer 5f0dd7
     mkdir $TESTDIR/mnt
Harald Hoyer 5f0dd7
     mount -o loop $TESTDIR/server.ext3 $TESTDIR/mnt
Harald Hoyer 5f0dd7
diff --git a/test/TEST-40-NBD/test.sh b/test/TEST-40-NBD/test.sh
Harald Hoyer 5f0dd7
index f06c36c3..b6c45f01 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-40-NBD/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-40-NBD/test.sh
Harald Hoyer 5f0dd7
@@ -209,8 +209,8 @@ client_run() {
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 make_encrypted_root() {
Harald Hoyer 5f0dd7
     # Create the blank file to use as a root filesystem
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/encrypted.ext2 bs=1M seek=80
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/flag.img bs=1M seek=1
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/encrypted.ext2 bs=1M count=80
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/flag.img bs=1M count=1
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
     kernel=$KVERSION
Harald Hoyer 5f0dd7
     # Create what will eventually be our root filesystem onto an overlay
Harald Hoyer 5f0dd7
@@ -280,7 +280,7 @@ make_encrypted_root() {
Harald Hoyer 5f0dd7
 }
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 make_client_root() {
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/nbd.ext2 bs=1M seek=120
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/nbd.ext2 bs=1M count=120
Harald Hoyer 5f0dd7
     mke2fs -F -j $TESTDIR/nbd.ext2
Harald Hoyer 5f0dd7
     mkdir $TESTDIR/mnt
Harald Hoyer 5f0dd7
     if ! mount -o loop $TESTDIR/nbd.ext2 $TESTDIR/mnt; then
Harald Hoyer 5f0dd7
@@ -325,7 +325,7 @@ make_client_root() {
Harald Hoyer 5f0dd7
 }
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 make_server_root() {
Harald Hoyer 5f0dd7
-    dd if=/dev/null of=$TESTDIR/server.ext2 bs=1M seek=120
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of=$TESTDIR/server.ext2 bs=1M count=120
Harald Hoyer 5f0dd7
     mke2fs -F $TESTDIR/server.ext2
Harald Hoyer 5f0dd7
     mkdir $TESTDIR/mnt
Harald Hoyer 5f0dd7
     mount -o loop $TESTDIR/server.ext2 $TESTDIR/mnt
Harald Hoyer 5f0dd7
diff --git a/test/TEST-50-MULTINIC/test.sh b/test/TEST-50-MULTINIC/test.sh
Harald Hoyer 5f0dd7
index b4326d5a..be87caab 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-50-MULTINIC/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-50-MULTINIC/test.sh
Harald Hoyer 5f0dd7
@@ -173,7 +173,7 @@ test_client() {
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     # Make server root
Harald Hoyer 5f0dd7
-    dd if=/dev/null of="$TESTDIR"/server.ext3 bs=1M seek=120
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of="$TESTDIR"/server.ext3 bs=1M count=120
Harald Hoyer 5f0dd7
     mke2fs -j -F -- "$TESTDIR"/server.ext3
Harald Hoyer 5f0dd7
     mkdir -- "$TESTDIR"/mnt
Harald Hoyer 5f0dd7
     mount -o loop -- "$TESTDIR"/server.ext3 "$TESTDIR"/mnt
Harald Hoyer 5f0dd7
diff --git a/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh b/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh
Harald Hoyer 5f0dd7
index 72826a5d..accfa006 100755
Harald Hoyer 5f0dd7
--- a/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh
Harald Hoyer 5f0dd7
+++ b/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh
Harald Hoyer 5f0dd7
@@ -199,7 +199,7 @@ root=nfs:192.168.50.1:/nfs/client bootdev=br0
Harald Hoyer 5f0dd7
 
Harald Hoyer 5f0dd7
 test_setup() {
Harald Hoyer 5f0dd7
     # Make server root
Harald Hoyer 5f0dd7
-    dd if=/dev/null of="$TESTDIR"/server.ext3 bs=1M seek=120
Harald Hoyer 5f0dd7
+    dd if=/dev/zero of="$TESTDIR"/server.ext3 bs=1M count=120
Harald Hoyer 5f0dd7
     mke2fs -j -F -- "$TESTDIR"/server.ext3
Harald Hoyer 5f0dd7
     mkdir -- "$TESTDIR"/mnt
Harald Hoyer 5f0dd7
     mount -o loop -- "$TESTDIR"/server.ext3 "$TESTDIR"/mnt
Harald Hoyer 5f0dd7